Skip to main content
PATCH
/
kyc
/
applications
/
{applicationId}
Update a KYC application
curl --request PATCH \
  --url https://api.useproxy.ai/v1/kyc/applications/{applicationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "<string>",
  "status": "<string>",
  "customerId": "<string>",
  "reason": "<string>",
  "completionLink": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Headers

Idempotency-Key
string

Unique key for idempotent requests (24-hour cache)

Path Parameters

applicationId
string
required

Application ID

Body

application/json

Application update data

Response

Application updated

id
string
required
status
string
required

Application status

customerId
string | null
reason
string | null

Link to complete application

createdAt
string<date-time> | null
updatedAt
string<date-time> | null